<?php

/**
 * @author [op]
 * @icq 570609
 * All rights reserved! Вы не имеете права продавать этот скрипт
 */
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';



only_reg();
$set['title'] = 'Подарить статус vip';
include_once '../sys/inc/thead.php';
title();
aut();

$toUser = (int)$_GET['to'];
if(empty($toUser) || $toUser == 0)
{
    header("Location: /status_vip/status_act.php?1");
    exit();
}

$toArray = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $toUser"));
if(!is_array($toArray))
{
    header("Location: /status_vip/status_act.php?2");
    exit();
}

if ($toArray['time_status_vip'] > time()){echo' <div class="msg">У пользователя '.$toArray['nick'].' уже есть статус vip!</div>';include_once '../sys/inc/tfoot.php';exit();}
if (isset($_GET['go']))

{if (isset($user) && $user['balls']<=500){msg ('у вас не хватает баллов, что бы купить вип статус');

}else{
$vr=time();
$vr+=1468800;
$timer=$vr;
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-500)."' WHERE `id` = '$user[id]' LIMIT 1",$db);

mysql_query("UPDATE `user` SET `status_vip` = '".($toArray['status_vip']+1)."' WHERE `id` = '$toArray[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `time_status_vip` = '".intval($timer)."' WHERE `id` = '$toArray[id]' LIMIT 1");

msg ('статус vip успешно подарен');}}

echo "<form method=\"post\" action=\"/status_vip/opvip.php?to=$toUser&go\">";

echo "<center><img src='/status_vip/img/vip3.gif'/><br /></div>\n";
echo " У вас есть <b>$user[balls]</b> баллов. Подарить vip статус за 500 баллов<br/>";
echo " 1. Красивая иконка возле ника:)<br/>";
echo "<font color=\"red\"><b>Внимание!!! VIP-статус действует 17 дней. . .</b></font><br/>";
echo "<input class=\"button\" type=\"submit\" value=\"Подарить vip статус\" /></center><br/>";


echo "</form>\n";


include_once '../sys/inc/tfoot.php';


?>